package com.chinacreator.video.restful.bean;

public class JiyueOrderBean {
    private String id;
    private String serialid;   //请求流水号, 格式为时间戳+序列号：YYYYMMDDHHMMSSxxxx，其中xxxx为序列号，从0001开始，排满9999后重新循环
    private String type;       //操作类型 0 订购，1 退订
    private String usermob;    //手机号
    private String productid;  //集约平台产品编码
    private String ordertime;  //订购时间，格式yyyy-MM-dd HH:mm:ss
    private String canceltime;  //退订时间，格式yyyy-MM-dd HH:mm:ss
    private String starttime;  //开始时间，格式yyyy-MM-dd HH:mm:ss
    private String endtime;  //结束时间，格式yyyy-MM-dd HH:mm:ss
    private String channel;  //推广渠道
    private String staffid;  //工号
    private String firstserialid;  //首订订单号 （仅针对周期包月产品必传）
    private String prmproductid;  //PRM产生的合作伙伴产品ID
    private String prmspid;  //PRM的spid

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSerialid() {
        return serialid;
    }

    public void setSerialid(String serialid) {
        this.serialid = serialid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUsermob() {
        return usermob;
    }

    public void setUsermob(String usermob) {
        this.usermob = usermob;
    }

    public String getProductid() {
        return productid;
    }

    public void setProductid(String productid) {
        this.productid = productid;
    }

    public String getOrdertime() {
        return ordertime;
    }

    public void setOrdertime(String ordertime) {
        this.ordertime = ordertime;
    }

    public String getCanceltime() {
        return canceltime;
    }

    public void setCanceltime(String canceltime) {
        this.canceltime = canceltime;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getStaffid() {
        return staffid;
    }

    public void setStaffid(String staffid) {
        this.staffid = staffid;
    }

    public String getFirstserialid() {
        return firstserialid;
    }

    public void setFirstserialid(String firstserialid) {
        this.firstserialid = firstserialid;
    }

    public String getPrmproductid() {
        return prmproductid;
    }

    public void setPrmproductid(String prmproductid) {
        this.prmproductid = prmproductid;
    }

    public String getPrmspid() {
        return prmspid;
    }

    public void setPrmspid(String prmspid) {
        this.prmspid = prmspid;
    }
}
